dotnet nuget delete command - .NET Core CLI(1)

dotnet nuget delete

NAME

dotnet nuget delete - Deletes or unlists a package from the server.

SYNOPSIS

  .NET Core 2.1

    dotnet nuget delete [<PACKAGE_NAME> <PACKAGE_VERSION>] [--force-english-output] [-k|--api-key] [--no-service-endpoint]
        [--non-interactive] [-s|--source]
    dotnet nuget delete [-h|--help]

  .NET Core 2.0

    dotnet nuget delete [<PACKAGE_NAME> <PACKAGE_VERSION>] [--force-english-output] [-k|--api-key] [--non-interactive]
        [-s|--source]
    dotnet nuget delete [-h|--help]

  .NET Core 1.x

    dotnet nuget delete [<PACKAGE_NAME> <PACKAGE_VERSION>] [--force-english-output] [-k|--api-key] [--non-interactive]
        [-s|--source]
    dotnet nuget delete [-h|--help]

   * * * * *

DESCRIPTION

The dotnet nuget delete command deletes or unlists a package from the server. For nuget.org, the action is to unlist the package.

  Arguments

PACKAGE_NAME

Name/ID of the package to delete.

PACKAGE_VERSION

Version of the package to delete.

OPTIONS

  .NET Core 2.1

--force-english-output

Forces the application to run using an invariant, English-based culture.

-h|--help

Prints out a short help for the command.

-k|--api-key <API_KEY>

The API key for the server.

--no-service-endpoint Doesn't append “api/v2/packages” to the source URL.

--non-interactive

Doesn't prompt for user input or confirmations.

-s|--source <SOURCE>

Specifies the server URL. Supported URLs for nuget.org include http://www.nuget.org, http://www.nuget.org/api/v3, and http://www.nuget.org/api/v2/package. For private feeds, replace the host name (for example, %hostname%/api/v3).

  .NET Core 2.0

--force-english-output

Forces the application to run using an invariant, English-based culture.

-h|--help

Prints out a short help for the command.

-k|--api-key <API_KEY>

The API key for the server.

--non-interactive

Doesn't prompt for user input or confirmations.

-s|--source <SOURCE>

Specifies the server URL. Supported URLs for nuget.org include http://www.nuget.org, http://www.nuget.org/api/v3, and http://www.nuget.org/api/v2/package. For private feeds, replace the host name (for example, %hostname%/api/v3).

  .NET Core 1.x

--force-english-output

Forces the application to run using an invariant, English-based culture.

-h|--help

Prints out a short help for the command.

-k|--api-key <API_KEY>

The API key for the server.

--non-interactive

Doesn't prompt for user input or confirmations.

-s|--source <SOURCE>

Specifies the server URL. Supported URLs for nuget.org include http://www.nuget.org, http://www.nuget.org/api/v3, and http://www.nuget.org/api/v2/package. For private feeds, replace the host name (for example, %hostname%/api/v3).

   * * * * *

EXAMPLES

Deletes version 1.0 of package Microsoft.AspNetCore.Mvc:

dotnet nuget delete Microsoft.AspNetCore.Mvc 1.0

Deletes version 1.0 of package Microsoft.AspNetCore.Mvc, not prompting user for credentials or other input:

dotnet nuget delete Microsoft.AspNetCore.Mvc 1.0 --non-interactive

AUTHORS
karann-msft.